summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-x.local/bin/madd20
-rwxr-xr-x.local/bin/tms25
2 files changed, 45 insertions, 0 deletions
diff --git a/.local/bin/madd b/.local/bin/madd
new file mode 100755
index 0000000..f7cdc95
--- /dev/null
+++ b/.local/bin/madd
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+madd() {
+ queue="$(mpc playlist)"
+ if [ -z "$queue" ]; then
+ mpc insert "$filename"
+ mpc play
+ else
+ mpc insert "$filename"
+ mpc next
+ fi
+}
+
+filename=$(mpc listall | dmenu -i -l 30)
+if [ -z "$filename" ]; then
+ notify-send "Nothing was selected. Skipping."
+else
+ madd
+fi
+
diff --git a/.local/bin/tms b/.local/bin/tms
new file mode 100755
index 0000000..f6e9b97
--- /dev/null
+++ b/.local/bin/tms
@@ -0,0 +1,25 @@
+#!/bin/env bash
+
+if [[ $# -eq 1 ]]; then
+ selected=$1;
+else
+ selected=$(find ~/code/dev ~/code/repos ~/code/rust -mindepth 1 -maxdepth 1 -type d | fzf);
+fi
+
+if [[ -z $selected ]]; then
+ exit 0
+fi
+
+selected_name=$(basename "$selected" | tr . _)
+tmux_running=$(pgrep tmux)
+
+if [[ -z $TMUX ]] && [[ -z $tmux_running ]]; then
+ tmux new-session -s $selected_name -c $selected
+ exit 0
+fi
+
+if ! tmux has-session -t=$selected_name 2> /dev/null; then
+ tmux new-session -ds $selected_name -c $selected
+fi
+
+tmux switch-client -t $selected_name